packages needed?

Steve Crosby fost at hotmail.com
Thu Feb 17 18:38:05 PST 2005


tom <giftbound at verizon.net> wrote in
news:200502172107.14052.giftbound at verizon.net: 

> maybe a stupid question but what packages are needed by host in order
> to do a succesful build of LFS?

Each package has it's dependecies listed. For example, LFS 6.0 Chapter 5 
binutils has:

Binutils installation depends on: Bash, Coreutils, Diffutils, GCC, Gettext, 
Glibc, Grep, Make, Perl, Sed, and Texinfo 

these are not always 100% accurate, and may be missing some packages, but 
are a good general guide.

Doing a quick look through the list, your host should have the following 
packages: (note you should have the -devel versions of these packages 
installed, as that installes the necessary headers as well as the 
binaries).

Bash
Bison
Coreutils
Diffutils
Findutils
Gawk
Gettext
Glibc
Grep
Make
Ncurses
Perl
Sed
Texinfo
Zlib 

Note that only Chapter 5 has host system requirements - once we start 
Chapter 6, we have already installed everything we need.

In addition, the host system needs to have the Glibc headers installed, and 
(for LFS 6.x) a kernel version 2.6.2 or higher, compiled with gcc 3.0 or 
higher.

-- -
Steve Crosby



More information about the lfs-support mailing list